using System;
using System.Collections;
using System.Runtime.Serialization;
using System.ComponentModel;
using System.Collections.Generic;

namespace RDH.Data.Models
{
	[Serializable]
	[DataContract]
	public partial class Section : BaseModel//IModel , INotifyPropertyChanged
    {
        private Guid _key;
        private Guid? _createby;
        private bool? _isactive;
        private bool? _isdelete;
        private string _sectionid;
        private string _sectionname;
        private string _sectionleader;
        private string _sectionstates;
        private string _sectiondescription;
        private bool? _flag;
        private DateTime? _clienttime;
        private DateTime? _servertime;
        private string _ext01;
        private string _ext02;
        private string _ext03;
        private string _ext04;
        private string _ext05;
        private string _ext06;
        private string _ext07;
        private string _ext08;
        private string _ext09;
        private string _ext10;

		#region Public Properties

        [DataMember]
        public virtual Guid Key
        {
            get { return _key; }
            set 
            {
                _key = value;
                OnPropertyChanged("Key");
            }
        }
        [DataMember]
        public virtual Guid? CreateBy
        {
            get { return _createby; }
            set 
            {
                _createby = value;
                OnPropertyChanged("CreateBy");
            }
        }
        [DataMember]
        public virtual bool? IsActive
        {
            get { return _isactive; }
            set 
            {
                _isactive = value;
                OnPropertyChanged("IsActive");
            }
        }
        [DataMember]
        public virtual bool? IsDelete
        {
            get { return _isdelete; }
            set 
            {
                _isdelete = value;
                OnPropertyChanged("IsDelete");
            }
        }
        [DataMember]
        public virtual string SectionId
        {
            get { return _sectionid; }
            set 
            {
                _sectionid = value;
                OnPropertyChanged("SectionId");
            }
        }
        [DataMember]
        public virtual string SectionName
        {
            get { return _sectionname; }
            set 
            {
                _sectionname = value;
                OnPropertyChanged("SectionName");
            }
        }
        [DataMember]
        public virtual string SectionLeader
        {
            get { return _sectionleader; }
            set 
            {
                _sectionleader = value;
                OnPropertyChanged("SectionLeader");
            }
        }
        [DataMember]
        public virtual string SectionStates
        {
            get { return _sectionstates; }
            set 
            {
                _sectionstates = value;
                OnPropertyChanged("SectionStates");
            }
        }
        [DataMember]
        public virtual string SectionDescription
        {
            get { return _sectiondescription; }
            set 
            {
                _sectiondescription = value;
                OnPropertyChanged("SectionDescription");
            }
        }
        [DataMember]
        public virtual bool? Flag
        {
            get { return _flag; }
            set 
            {
                _flag = value;
                OnPropertyChanged("Flag");
            }
        }
        [DataMember]
        public virtual DateTime? ClientTime
        {
            get { return _clienttime; }
            set 
            {
                _clienttime = value;
                OnPropertyChanged("ClientTime");
            }
        }
        [DataMember]
        public virtual DateTime? ServerTime
        {
            get { return _servertime; }
            set 
            {
                _servertime = value;
                OnPropertyChanged("ServerTime");
            }
        }
        [DataMember]
        public virtual string Ext01
        {
            get { return _ext01; }
            set 
            {
                _ext01 = value;
                OnPropertyChanged("Ext01");
            }
        }
        [DataMember]
        public virtual string Ext02
        {
            get { return _ext02; }
            set 
            {
                _ext02 = value;
                OnPropertyChanged("Ext02");
            }
        }
        [DataMember]
        public virtual string Ext03
        {
            get { return _ext03; }
            set 
            {
                _ext03 = value;
                OnPropertyChanged("Ext03");
            }
        }
        [DataMember]
        public virtual string Ext04
        {
            get { return _ext04; }
            set 
            {
                _ext04 = value;
                OnPropertyChanged("Ext04");
            }
        }
        [DataMember]
        public virtual string Ext05
        {
            get { return _ext05; }
            set 
            {
                _ext05 = value;
                OnPropertyChanged("Ext05");
            }
        }
        [DataMember]
        public virtual string Ext06
        {
            get { return _ext06; }
            set 
            {
                _ext06 = value;
                OnPropertyChanged("Ext06");
            }
        }
        [DataMember]
        public virtual string Ext07
        {
            get { return _ext07; }
            set 
            {
                _ext07 = value;
                OnPropertyChanged("Ext07");
            }
        }
        [DataMember]
        public virtual string Ext08
        {
            get { return _ext08; }
            set 
            {
                _ext08 = value;
                OnPropertyChanged("Ext08");
            }
        }
        [DataMember]
        public virtual string Ext09
        {
            get { return _ext09; }
            set 
            {
                _ext09 = value;
                OnPropertyChanged("Ext09");
            }
        }
        [DataMember]
        public virtual string Ext10
        {
            get { return _ext10; }
            set 
            {
                _ext10 = value;
                OnPropertyChanged("Ext10");
            }
        }
		#endregion 
	}
}